﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Caliburn.Micro;

namespace WpfApp
{
   class FirstChildViewModel : PropertyChangedBase
   {
      private readonly IEventAggregator _events;

      public FirstChildViewModel(IEventAggregator eventagg)
      {
         _events = eventagg;
         SomeString = "this is the first child";
      }

      private string _string;

      public string SomeString
      {
         get { return _string; }
         set
         {
            _string = value;
            NotifyOfPropertyChange(() => SomeString);
         }
      }
   }
}
