﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Caliburn.Micro;

namespace WpfApp
{
   class ParentViewModel : PropertyChangedBase
   {
      private readonly IEventAggregator _events;
      public ParentViewModel(IEventAggregator eventagg)
      {
         _events = eventagg;
         FirstChild = new FirstChildViewModel(_events);
         SecondChild = new SecondChildViewModel(_events);
      }

      private SecondChildViewModel scvm;

      public SecondChildViewModel SecondChild
      {
         get { return scvm; }
         set
         {
            scvm = value;
            NotifyOfPropertyChange(() => SecondChild);
         }
      }

      private FirstChildViewModel fcvm;
      public FirstChildViewModel FirstChild
      {
         get { return fcvm; }
         set
         {
            fcvm = value;
            NotifyOfPropertyChange(() => FirstChild);
         }
      }
   }
}
