using Caliburn.Micro;

namespace WpfApp
{
   class ShellViewModel : PropertyChangedBase, IShell
   {
      private ParentViewModel pvm;

      public ShellViewModel(IEventAggregator eventagg)
      {
         ParentVM = new ParentViewModel(eventagg);
      }

      public ParentViewModel ParentVM
      {
         get { return pvm; }
         set
         {
            pvm = value;
            NotifyOfPropertyChange(() => ParentVM);
         }
      }


   }
}